<?php
if ( function_exists('register_sidebar') )
{
    register_sidebar(array(
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
}


function get_quickjump_links()
{
	global $posts;

	foreach ($posts as $post){$ids[] = $post->ID;}

	for ($i=0; $i<count($ids); $i++)
	{
		if ($i+1 <= count($ids)) $links[$i]["next"] = $ids[$i+1];
		if ($i-1 >= 0) $links[$i]["prev"] = $ids[$i-1];		
	}
	return $links;
}

function the_post_quickjump($links, $id)
{
	if ($links[$id]["next"]) echo '<a href="#post-'.$links[$id]["next"].'" class="right button scrolldown" title="Skip to next post"><span></span></a>';
	if ($links[$id]["prev"]) echo '<a href="#post-'.$links[$id]["prev"].'" class="right button scrollup" title="Skip to previous post"><span></span></a>';
}

function the_subpages()
{
	global $post, $wpdb;
	
	if ( is_page() )
	{
		$child_of = null;

		if ( $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_type='page' AND post_parent = ".$post->ID) > 0 ){
			$child_of = $post->ID;
		}
		else if ( $post->post_parent != 0 ){
			$child_of = $post->post_parent;
		}

		if ( !is_null($child_of) )
		{
			echo '<h2>Subpages</h2>' . "\n";
			echo '<ul class="content">' . "\n";
			wp_list_pages('title_li=&child_of='.$child_of);
			echo '</ul>' . "\n";
		}
	}
}

?>