<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<script type="text/javascript" src="<?php bloginfo('template_directory');?>/mootools-release-1.11.js"></script>

<?php wp_head(); ?>
</head>
<body>

<div id="container">

	<div id="top">
		<div class="left">
			<h1 id="site_title"><?php bloginfo('name');?></h1>
			<div id="site_description"><?php bloginfo('description');?></div>
		</div>
		<a href="<?php bloginfo('rss2_url'); ?>" title="RSS Feed" class="button feed right" ><span></span></a>
		<div class="clearer"></div>
	</div>

	<div class="path" id="nav">
		<ul>
			<li><a href="<?php bloginfo('url');?>" title="Home">Home</a></li>
			<?php wp_list_pages('title_li=&depth=1');?>
		</ul>
		<div class="clearer"></div>
	</div>

	<div id="main">
