	<div class="right" id="main_right">
		<div id="sidebar">
				<?php 	/* Widgetized sidebar, if you have the plugin installed. */
						if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>

				<?php the_subpages() ?>

				<h2>Search</h2>
				<div class="content">
					<?php include (TEMPLATEPATH . '/searchform.php'); ?>
				</div>

				<?php if ( is_404() || is_category() || is_day() || is_month() ||
							is_year() || is_search() || is_paged() ) {
				?>

				<?php /* If this is a 404 page */ if (is_404()) { ?>
				<?php /* If this is a category archive */ } elseif (is_category()) { ?>
				<p>You are currently browsing the archives for the <?php single_cat_title(''); ?> category.</p>

				<?php /* If this is a yearly archive */ } elseif (is_day()) { ?>
				<p>You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives
				for the day <?php the_time('l, F jS, Y'); ?>.</p>

				<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				<p>You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives
				for <?php the_time('F, Y'); ?>.</p>

				<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				<p>You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives
				for the year <?php the_time('Y'); ?>.</p>

				<?php /* If this is a monthly archive */ } elseif (is_search()) { ?>
				<p>You have searched the <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives
				for <strong>'<?php the_search_query(); ?>'</strong>. If you are unable to find anything in these search results, you can try one of these links.</p>

				<?php /* If this is a monthly archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<p>You are currently browsing the <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> blog archives.</p>

				<?php } ?>

				<?php }?>

				<h2>Archives</h2>
				<ul class="content">
					<?php wp_get_archives('type=monthly&show_post_count=1'); ?>
				</ul>

				<h2>Categories</h2>
				<ul class="content">
					<?php wp_list_categories('show_count=1&title_li='); ?>
				</ul>

				<h2>Tags</h2>
				<div class="content">
					<?php wp_tag_cloud('smallest=8&largest=14');?>
				</div>

				<?php /* If this is the frontpage */ if ( is_home() || is_page() ) { ?>
				<h2>Blogroll</h2>
				<ul class="content">
					<?php wp_list_bookmarks('title_li=&categorize=0'); ?>
				</ul>

				<h2>Meta</h2>
				<ul class="content">
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
					<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
					<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
					<?php wp_meta(); ?>
				</ul>
				<?php } ?>

				<?php endif; ?>
		</div>
	</div>
