<?php get_header(); ?>

	<div class="left" id="main_left">

	<?php if (have_posts()) : ?>

		<h1>Search Results</h1>


<?php if ( is_paged() ) : ?>
		<div class="path">
			<div class="left"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="right"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
			<div class="clearer"></div>
		</div>
<?php endif;?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post">
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<div class="date"><?php the_time('l, F jS, Y') ?></div>

				<div class="metadata">
					<div class="left"><span class="comment"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span></div>
					<div class="right"><?php the_tags('<span class="tag">', ', ', '</span>'); ?></div>
					<div class="clearer"></div>
				</div>
			</div>

		<?php endwhile; ?>

		<div class="path">
			<div class="left"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="right"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
			<div class="clearer"></div>
		</div>

	<?php else : ?>

		<h2 class="center">No posts found. Try a different search?</h2>
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>