<?php get_header(); ?>

	<div class="left" id="main_left">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">
			<h1><?php the_title(); ?></h1>

			<div class="date"><?php the_time('F jS, Y') ?> in <?php the_category(', ') ?><?php edit_post_link('Edit', ' | ', ''); ?></div>

			<div class="body">
				<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				<?php the_tags( '<p>Tags: ', ', ', '</p>'); ?>

				<div class="metadata">
					<?php if ('open' == $post->comment_status) : ?><div class="left"><span class="comment"><a href="#respond">Post new comment</a></div><?php endif;?>
					<div class="right"><?php the_tags('<span class="tag">', ', ', '</span> '); ?></div>
					<div class="clearer"></div>
				</div>

			</div>
		</div>

		<div class="path">
			<div class="left"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="right"><?php next_post_link('%link &raquo;') ?></div>
			<div class="clearer"></div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>Sorry, no posts matched your criteria.</p>

<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>
